Home

# Class goog.debug.LogRecord

LogRecord objects are used to pass logging requests between the logging framework and individual log Handlers.

Instance Method Summary
| `getException() ⇒ ?Object` Get the exception that is part of the log record.
| `getExceptionText() ⇒ ?string` Get the exception text that is part of the log record.
| `getLevel() ⇒ ?goog.debug.Logger.Level` Get the logging message level, for example Level.SEVERE.
| `getLoggerName() ⇒ string` Get the source Logger's name.
| `getMessage() ⇒ string` Get the "raw" log message, before localization or formatting.
| `getMillis() ⇒ number` Get event time in milliseconds since 1970.
| `getSequenceNumber() ⇒ number` Get the sequence number. Sequence numbers are normally assigned in the LogRecord constructor, which assigns unique sequence numbers to each new LogRecord in increasing order.
| `reset(?goog.debug.Logger.Level level, string msg, string loggerName, number= opt_time, number= opt_sequenceNumber)` Sets all fields of the log record.
| `setException(?Object exception)` Set the exception that is part of the log record.
| `setExceptionText(string text)` Set the exception text that is part of the log record.
| `setLevel(?goog.debug.Logger.Level level)` Set the logging message level, for example Level.SEVERE.
| `setLoggerName(string loggerName)` Get the source Logger's name.
| `setMessage(string msg)` Set the "raw" log message, before localization or formatting.
| `setMillis(number time)` Set event time in milliseconds since 1970.